Package: groovy.grape

## [Java] Interface GrapeEngine

- Authors:
    Danno Ferrin

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addResolver(Map<String, Object> args)`
    `` | `Map<String, Map<String, List<String>>>` | `enumerateGrapes()`
    `` | `Object` | `grab(String endorsedModule)`
    `` | `Object` | `grab(Map args)`
    `` | `Object` | `grab(Map args, Map... dependencies)`
    `` | `Map[]` | `listDependencies(ClassLoader classLoader)`
    `` | `URI[]` | `resolve(Map args, Map... dependencies)`
    `` | `URI[]` | `resolve(Map args, List depsInfo, Map... dependencies)`

- - ### Method Detail

    - #### public void addResolver(Map<String, Object> args)

    - #### public Map<String, Map<String, List<String>>> enumerateGrapes()

    - #### public Object grab(String endorsedModule)

    - #### public Object grab(Map args)

    - #### public Object grab(Map args, Map... dependencies)

    - #### public Map[] listDependencies(ClassLoader classLoader)

    - #### public URI[] resolve(Map args, Map... dependencies)

    - #### public URI[] resolve(Map args, List depsInfo, Map... dependencies)